# ══════════════════════════════════════════════════════════════════
# Migrations Doctrine — doctrine_migrations.yaml
# ══════════════════════════════════════════════════════════════════
# Les migrations sont stockées dans migrations/ et nommées
# automatiquement par Doctrine (VersionYYYYMMDDHHMMSS.php).
#
# IMPORTANT : ne pas placer les migrations dans src/ car elles ne
# doivent pas être chargées comme services par l'autowiring.
#
# Commandes utiles :
#   php bin/console doctrine:migrations:migrate    → appliquer
#   php bin/console doctrine:migrations:diff       → générer
#   php bin/console doctrine:migrations:status     → état
# ══════════════════════════════════════════════════════════════════
doctrine_migrations:
    migrations_paths:
        # namespace is arbitrary but should be different from App\Migrations
        # as migrations classes should NOT be autoloaded
        'DoctrineMigrations': '%kernel.project_dir%/migrations'
    enable_profiler: false   # Désactive le profileur Doctrine pour les migrations
